﻿using Infragistics.UltraChart.Core.Primitives;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    private DataTable GetColumnData()
    {
        DataTable mydata = new DataTable();
        //Define the columns and their names
        mydata.Columns.Add("Description", typeof(string));
        mydata.Columns.Add("Series Labels", typeof(string));
        mydata.Columns.Add("Column A", typeof(int));
        //mydata.Columns.Add("Column B", typeof(int));
        //mydata.Columns.Add("Column C", typeof(int));
        //mydata.Columns.Add("Column D", typeof(int));
       
      
        //Add the rows of data
        mydata.Rows.Add(new Object[] { "A", "Series A", 100 });
        mydata.Rows.Add(new Object[] { "B", "Series B", 230});
        //mydata.Rows.Add(new Object[] { "A", "Series A", 1, 4, 10, 4 });
        //mydata.Rows.Add(new Object[] {"B" , "Series B", 3, 6, 4, 5 });
        //mydata.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7, "C" });
        //mydata.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7, "D" });
        return mydata;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        Color[] ChartColors;

        ChartColors = new Color[] { Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Indigo, Color.Black };

       

        this.UltraChart1.DataSource = GetColumnData();
        this.UltraChart1.DataBind();

        UltraChart1.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
           UltraChart1.Axis.Y.RangeMax = 200;
            UltraChart1.Axis.X.RangeMin = 0;
            UltraChart1.ColorModel.CustomPalette = ChartColors;


            this.UltraChart2.DataSource = GetColumnData();
            this.UltraChart2.DataBind();

            UltraChart2.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            UltraChart2.Axis.Y.RangeMax = 200;
            UltraChart2.Axis.X.RangeMin = 0;
            UltraChart2.ColorModel.CustomPalette = ChartColors; 
    }
   
    
}